From 93865231f5e5b2217ac9709b95a3eff2b068a6c4 Mon Sep 17 00:00:00 2001
From: Maximilian Downey Twiss <creatorsmithmdt@gmail.com>
Date: Thu, 24 Nov 2022 18:55:56 +1100
Subject: [PATCH 36/56] java: Don't check the value of dump_switch_p.

gcc/java/ChangeLog:

	* lang.cc (java_handle_option): Don't check the value of dump_switch_p.
---
 gcc/java/lang.cc | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/gcc/java/lang.cc b/gcc/java/lang.cc
index f79c89ab418..8a5bff8d7c8 100644
--- a/gcc/java/lang.cc
+++ b/gcc/java/lang.cc
@@ -262,8 +262,7 @@ java_handle_option (size_t scode, const char *arg, HOST_WIDE_INT value,
       break;
 
     case OPT_fdump_:
-      if (!g->get_dumps ()->dump_switch_p (arg))
-	return false;
+      g->get_dumps ()->dump_switch_p (arg);
       break;
 
     case OPT_fencoding_:
-- 
2.38.1

